




.cms-edit {
  padding: 10px 0;

  .scLooseFrameZone {
    display: inline-block;
  }
}

.cta {
  &--edit {
    background-color: #fff;
    box-shadow: 0.5px 0.5px 1px 1px rgba(0, 0, 0, 0.08);
    padding: .8rem 1.5rem;
    color: $link-color;
    margin: 1px;
    overflow: hidden;
    line-height: 1;
    border-radius: 8px;
    position: relative;

    &:hover {
      background-color: #eee;
    }

    span {
      display: inline-block;
      vertical-align: middle;
    }

    &:after {
      content: '';
      position: relative;
      width: 16px;
      height: 16px;
      display: inline-block;
      line-height: 1;
      vertical-align: middle;
      background: url('images/icon/pencil.svg') no-repeat 50% 50%;
      background-size: cover;
      margin-left: 8px;
    }

    .cms-edit--sm & {
      padding: .8rem;
      width: 45px;
      height: 45px;
      margin: 1px;

      > span {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translate(-50%, -120%);
        background: #000;
        color: #fff;
        padding: 8px;
        border-radius: 4px;
        display: none;
        white-space: nowrap;
        font-size: 90%;
      }

      &:hover {
        > span {
          display: block;
        }
      }

      &:after {
        margin-left: 0;
      }
    }
  }
}

